> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# updateTaskDescription

> Update only the description of a task



## OpenAPI

````yaml PUT /task/description/{id}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /task/description/{id}:
    put:
      tags:
        - Tasks
      summary: Update Task Description
      description: Update only the description of a task
      operationId: updateTaskDescription
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                description:
                  type: string
              required:
                - description
      responses:
        '200':
          description: Task description updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  projectId:
                    type: string
                  position:
                    type: number
                    nullable: true
                  number:
                    type: number
                    nullable: true
                  userId:
                    type: string
                    nullable: true
                  title:
                    type: string
                  description:
                    type: string
                    nullable: true
                  status:
                    type: string
                  priority:
                    enum:
                      - no-priority
                      - low
                      - medium
                      - high
                      - urgent
                    type: string
                  startDate:
                    type: string
                    format: date-time
                  dueDate:
                    type: string
                    format: date-time
                  createdAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - projectId
                  - position
                  - number
                  - userId
                  - title
                  - description
                  - status
                  - priority
                  - createdAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````